Colorbox 7.x-2.15 - Проект больше не поддерживается((((

Аватар пользователя Ritka Ritka 27 января в 17:44

Вот такая печальная новость выпала сегодня в отчетах сайта, есть простое решение заменить модуль Colorbox модулем Lightbox2. Но в то же время возникает много поправок по сайту, особенно там, где стоит клас colorbox-load(((( Кто знает проще и лучшее решение ?

Лучший ответ

Аватар пользователя ivnish ivnish 3 февраля в 10:54

Вчера вышло обновление и пометку о "модуль не поддерживается" сняли

Комментарии

Аватар пользователя Selpi Selpi 27 января в 17:57

То, что модуль не поддерживается, не означает, что он внезапно протух и перестал работать.

Сама библиотека не обновляется уже 6 лет, jquery в общем-то тоже уходит в прошлое.

Так что решайте сами, пора ли что-то менять, или сидеть на том, что работает до упора.

Ну и не исключено, что найдут новых мейнтейнеров колорбокса.

Аватар пользователя Ritka Ritka 27 января в 18:08

Ну и не исключено, что найдут новых мейнтейнеров колорбокса.

Это было бы супер New russian Там насторожило, то что пишет таким белым по красному насчет безопасности Help

Аватар пользователя Alesis73 Alesis73 30 января в 23:12

У меня много видео и картинок всё работает с colorbox.
Менять устройство сайта просто не реально... Может можно как-то
отключить оповещение и пусть работает?

Аватар пользователя Ritka Ritka 31 января в 10:43

Если никто не возьмется за модуль colorbox, то придется все менять. Почему? Когда-то я тоже не обращала внимания, когда на модуле писало (безопасность не обновлена и этот модуль на ваш срах и риск), то за пол года начали часто взламывать сайт и менять пароль админа итд... Я пока надеюсь что кто-то возьмется за модуль colorbox, если нет то придется или все исправлять, или бросать сайт...

Но я уже нашла хорошую альтернативу Lightbox2 + NG Lightbox - модули протестировала и работают превосходно!

Аватар пользователя ivnish ivnish 31 января в 10:42

Не надо ничего менять Smile Если никто не возьмется (хотя желающие были), то я возьмусь его поддерживать

Аватар пользователя ivnish ivnish 31 января в 11:06

На друпалорге мейнтейнеры написали, что уже запущена процедура исправления найденных уязвимостей. Правда, она продлится 30 дней. Так что ЖДИТЕ И НЕ ПАНИКУЙТЕ, пожалуйста

Аватар пользователя Alesis73 Alesis73 31 января в 11:09

ivnish wrote: Не надо ничего менять Smile Если никто не возьмется (хотя желающие были), то я возьмусь его поддерживать

Буду премного благодарен!!!

Аватар пользователя Alesis73 Alesis73 3 февраля в 11:16

ivnish wrote: Вчера вышло обновление и пометку о "модуль не поддерживается" сняли

Добрый день!
Обновил модуль, всё отлично, работает и пометки нет. Интересно, это разовое обновление или возобновили поддержку?

Аватар пользователя Selpi Selpi 3 февраля в 11:21

Сама библиотека колорбокса не обновляется лет 6, друпал модуль не обновлялся 5 лет.
Если внезапно не найдут еще каких-то уязвимостей, то скорее всего никаких обновлений до ухода д7 на покой не будет.

Аватар пользователя Ritka Ritka 3 февраля в 13:21

Обновили все таки, потому=что у меня перестал работать клас colorbox-load + видео через colorbox не загружаэтся = пишет -This image failed to load. Sad

Аватар пользователя ivnish ivnish 3 февраля в 13:24

Нет, либу не обновляли, но в модуль внесли изменения, что не всё теперь можно через него отображать. Видимо с этим и была связана проблема с безопасностью

Аватар пользователя Ritka Ritka 3 февраля в 16:50

А не подскажете какой модуль может отображать содержимое через класс ссылки, как это было в colorbox ?